package LATMOS::Accounts::Web::Controller::About;
use strict;
use warnings;
use base 'Catalyst::Controller';

=head1 NAME

LATMOS::Accounts::Web::Controller::About - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

    $c->stash->{page}{title} = "A propos...";
}

sub echo : XMLRPC {
    my ( $self, $c, @args ) = @_;
    return RPC::XML::fault->new( 400, "No input!"
    ) unless @args;
    return join ' ', @args;
}

=head1 AUTHOR

Olivier Thauvin

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
